%global gemname bundler
%define gemdir %(ruby -rubygems -e 'puts Gem::dir' 2>/dev/null)
%define gemversion 1.13.2
%define geminstdir %{gemdir}/gems/%{gemname}-%{gemversion}


Name: rubygem-%{gemname}
Version: %{gemversion}
Release: 1%{?dist}
Summary: The best way to manage your application's dependencies
Group: Development/Languages
License: MIT
URL: http://bundler.io
Source0: https://rubygems.org/gems/%{gemname}-%{version}.gem
BuildRequires: ruby >= 1.8.7
BuildArch: noarch

%description
Bundler manages an application's dependencies through its entire life, across
many machines, systematically and repeatably.


%package doc
Summary: Documentation for %{name}
Group: Documentation
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
gem unpack %{SOURCE0}

%setup -q -D -T -n  %{gemname}-%{version}

gem spec %{SOURCE0} -l --ruby > %{gemname}.gemspec

%build
# Create the gem as gem install only works on a gem file
gem build %{gemname}.gemspec
# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%install
rm -rf %{buildroot}
install --directory 0755 %{buildroot}%{gemdir}
gem install --local --install-dir %{buildroot}%{gemdir} \
            --force --rdoc %{SOURCE0}
install --directory 0755 %{buildroot}/%{_bindir}
cp -pa %{buildroot}%{gemdir}/bin/* %{buildroot}%{_bindir}/
find %{buildroot}%{geminstdir}/bin -type f | xargs chmod a+x

# Run the test suite
%check

%files
%defattr(-, root, root)
%dir %{geminstdir}
%{_bindir}/bundle
%{_bindir}/bundler
%{gemdir}/cache
%{gemdir}/bin
%{gemdir}/specifications
%{geminstdir}/CODE_OF_CONDUCT.md
%{geminstdir}/DEVELOPMENT.md
%{geminstdir}/ISSUES.md
%{geminstdir}/bin
%{geminstdir}/exe
%{geminstdir}/lib
%{geminstdir}/man

%files doc
%doc %{geminstdir}/CHANGELOG.md
%doc %{geminstdir}/CONTRIBUTING.md
%doc %{geminstdir}/README.md
%doc %{geminstdir}/LICENSE.md
%{geminstdir}/.*
%{geminstdir}/Rakefile
%{geminstdir}/bundler.gemspec
